Bug 1577139 - [abrt] gen8_ppgtt_alloc_pdp: general protection fault in gen8_ppgtt_alloc_pdp [i915]
Summary: [abrt] gen8_ppgtt_alloc_pdp: general protection fault in gen8_ppgtt_alloc_pdp...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c18b23872a0a81b4a2f5b8eb175...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 09:46 UTC by Zilyova
Modified: 2018-11-30 21:32 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:32:51 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (234.71 KB, text/plain)
2018-05-11 09:46 UTC, Zilyova
no flags Details

Description Zilyova 2018-05-11 09:46:10 UTC
Additional info:
reporter:       libreport-2.9.3
general protection fault: 0000 [#1] SMP PTI
Modules linked in: xt_set ip_set_hash_net ip_set iptable_raw vxlan ip6_udp_tunnel udp_tunnel xt_mark xfrm6_mode_tunnel xfrm4_mode_tunnel esp4 ansi_cprng xt_nat veth ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netlink nfnetlink iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype xt_conntrack nf_nat nf_conntrack libcrc32c br_netfilter bridge stp llc overlay uas usb_storage rfcomm fuse ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat intel_rapl arc4 x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_skl iTCO_wdt iTCO_vendor_support mei_wdt snd_soc_skl_ipc hp_wmi sparse_keymap intel_wmi_thunderbolt wmi_bmof snd_hda_ext_core snd_soc_sst_dsp iwlmvm kvm snd_soc_sst_ipc snd_soc_acpi mac80211 snd_soc_core uvcvideo snd_hda_codec_hdmi irqbypass
 snd_hda_codec_conexant crct10dif_pclmul snd_hda_codec_generic videobuf2_vmalloc btusb btrtl crc32_pclmul btbcm videobuf2_memops btintel snd_compress ghash_clmulni_intel snd_pcm_dmaengine intel_cstate ac97_bus iwlwifi videobuf2_v4l2 bluetooth snd_hda_intel videobuf2_core intel_uncore videodev intel_rapl_perf snd_hda_codec cfg80211 media snd_hda_core snd_hwdep joydev snd_seq tpm_infineon snd_seq_device rtsx_pci_ms snd_pcm i2c_i801 memstick ecdh_generic rfkill mei_me idma64 snd_timer mei snd intel_lpss_pci shpchp intel_lpss soundcore intel_pch_thermal wmi tpm_tis tpm_tis_core pinctrl_sunrisepoint pinctrl_intel tpm hp_accel lis3lv02d input_polldev acpi_pad hp_wireless i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e crc32c_intel drm serio_raw ptp rtsx_pci pps_core video
CPU: 0 PID: 23704 Comm: chrome Not tainted 4.15.10-300.fc27.x86_64 #1
Hardware name: HP HP EliteBook 820 G3/807C, BIOS N75 Ver. 01.10 07/31/2016
RIP: 0010:gen8_ppgtt_set_pde.isra.41+0x41/0x50 [i915]
RSP: 0018:ffffbcd64a223910 EFLAGS: 00010206
RAX: d2c5a7b8d16b2030 RBX: ffff9340c1af2000 RCX: ffff933e96345f40
RDX: 000000041ce11003 RSI: ffff933e45f4eb40 RDI: ffff9340c1af2000
RBP: 0000000000000005 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000431800 R11: 0000000000000000 R12: 0000000000000006
R13: 0000000000005000 R14: 0000000000d38000 R15: ffff933d568fc000
FS:  00007fd24cd9b5c0(0000) GS:ffff934171400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f756a1d9c4c CR3: 00000002bb48c005 CR4: 00000000003606f0
Call Trace:
 gen8_ppgtt_alloc_pdp+0x1bb/0x340 [i915]
 gen8_ppgtt_alloc_4lvl+0x5f/0x140 [i915]
 ppgtt_bind_vma+0x33/0x70 [i915]
 i915_vma_bind+0x6f/0xd0 [i915]
 __i915_vma_do_pin+0x324/0x4d0 [i915]
 eb_lookup_vmas+0x817/0xc30 [i915]
 i915_gem_do_execbuffer+0x4c1/0x1200 [i915]
 ? get_page_from_freelist+0xe7b/0x16d0
 ? __alloc_pages_slowpath+0x1d7/0xde0
 ? __kmalloc_node+0x209/0x2b0
 i915_gem_execbuffer2+0x1ba/0x390 [i915]
 ? release_pages+0x1cc/0x460
 ? i915_gem_execbuffer+0x2d0/0x2d0 [i915]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x2d5/0x370 [drm]
 ? i915_gem_execbuffer+0x2d0/0x2d0 [i915]
 do_vfs_ioctl+0xa4/0x620
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7fd246ada0f7
RSP: 002b:00007ffc74e5b228 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00000d1bd1d85030 RCX: 00007fd246ada0f7
RDX: 00007ffc74e5b270 RSI: 0000000040406469 RDI: 000000000000000f
RBP: 00007ffc74e5b270 R08: 0000000000000007 R09: 0000000000000012
R10: 0000000000000001 R11: 0000000000000246 R12: 0000000040406469
R13: 000000000000000f R14: 00007fd234a34040 R15: 0000000000000000
Code: 01 00 83 81 c0 1a 00 00 01 48 2b 05 22 ba c6 f6 48 c1 f8 06 48 c1 e0 0c 48 8d 04 d0 48 8b 56 10 48 03 05 1b ba c6 f6 48 83 ca 03 <48> 89 10 83 a9 c0 1a 00 00 01 c3 0f 1f 40 00 0f 1f 44 00 00 41 
RIP: gen8_ppgtt_set_pde.isra.41+0x41/0x50 [i915] RSP: ffffbcd64a223910

Comment 1 Zilyova 2018-05-11 09:46:27 UTC
Created attachment 1434832 [details]
File: dmesg

Comment 2 Ben Cotton 2018-11-27 15:45:43 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:32:51 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.